package com.steerinfo.ems.tcm0323.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TCm0323 implements IBasePO<String> {
    /**
     * 监测项目代码(ITEMCODE,VARCHAR,400)
     */
    @ApiModelProperty(value="监测项目代码",required=false)
    private String itemcode;

    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=true)
    private Long recordid;

    /**
     * 监测项目名称(ITEMNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="监测项目名称",required=true)
    private String itemname;

    /**
     * 单位(UNIT,VARCHAR,400)
     */
    @ApiModelProperty(value="单位",required=true)
    private String unit;


    /**
     * 备注(NOTE,VARCHAR,4000)
     */
    @ApiModelProperty(value="备注",required=true)
    private String note;

    /**
     * 监测状态(CHECKSTATE,VARCHAR,400)
     */
    @ApiModelProperty(value="监测状态",required=true)
    private String checkstate;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.itemcode;
    }

    @Override
    public void setId(String itemcode) {
        this.itemcode = itemcode == null ? null : itemcode.trim();
    }

    public String getItemcode() {
        return itemcode;
    }

    public void setItemcode(String itemcode) {
        this.itemcode = itemcode == null ? null : itemcode.trim();
    }

    public Long getRecordid() {
        return recordid;
    }

    public void setRecordid(Long recordid) {
        this.recordid = recordid;
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getCheckstate() {
        return checkstate;
    }

    public void setCheckstate(String checkstate) {
        this.checkstate = checkstate == null ? null : checkstate.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemcode=").append(itemcode);
        sb.append(", recordid=").append(recordid);
        sb.append(", itemname=").append(itemname);
        sb.append(", unit=").append(unit);
        sb.append(", note=").append(note);
        sb.append(", checkstate=").append(checkstate);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}